# Uses of Class
org.eclipse.emf.cdo.common.revision.CDORevisionCrawler.OutputStreamHandler.IDMapper

Packages that use CDORevisionCrawler.OutputStreamHandler.IDMapper
Package
Description
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.

## Uses of CDORevisionCrawler.OutputStreamHandler.IDMapper in org.eclipse.emf.cdo.common.revision

Subclasses of CDORevisionCrawler.OutputStreamHandler.IDMapper in org.eclipse.emf.cdo.common.revision
Modifier and Type
Class
Description
`static final class`
`CDORevisionCrawler.OutputStreamHandler.IDMapper.InMemory`
In-memory implementation of IDMapper.
Methods in org.eclipse.emf.cdo.common.revision that return CDORevisionCrawler.OutputStreamHandler.IDMapper
Modifier and Type
Method
Description
`CDORevisionCrawler.OutputStreamHandler.IDMapper`
CDORevisionCrawler.OutputStreamHandler.`getLocalIDMapper()`
Returns the local ID mapper used by this handler, if any.
Constructors in org.eclipse.emf.cdo.common.revision with parameters of type CDORevisionCrawler.OutputStreamHandler.IDMapper
Modifier
Constructor
Description
``
`MessageDigestHandler(MessageDigest digest, CDORevisionCrawler.OutputStreamHandler.IDMapper idMapper, CDOLobLoader lobLoader)`
Constructs a MessageDigestHandler with digest, custom ID mapper, and optional LOB loader.
`protected`
`MessageDigestHandler(CDODataOutput out, CDORevisionCrawler.OutputStreamHandler.IDMapper idMapper)`
Constructs a MessageDigestHandler with the given data output and ID mapper.
``
`OutputStreamHandler(OutputStream stream, CDORevisionCrawler.OutputStreamHandler.IDMapper idMapper, CDOLobLoader lobLoader)`
Constructs an OutputStreamHandler with custom ID mapper and optional LOB loader.
`protected`
`OutputStreamHandler(CDODataOutput out, CDORevisionCrawler.OutputStreamHandler.IDMapper idMapper)`
Constructs an OutputStreamHandler with the given data output and ID mapper.